Skip to main content
POST
/
engagement
/
editor
/
precheck
Check whether the visual editor will work on a URL
curl --request POST \
  --url https://api.gleap.io/v3/engagement/editor/precheck \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'project: <project>' \
  --data '
{
  "url": "<string>"
}
'
{
  "ok": true,
  "reachable": true,
  "finalUrl": "<string>",
  "blockers": [
    {
      "code": "<string>",
      "message": "<string>",
      "fix": "<string>",
      "docUrl": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "message": "<string>",
      "fix": "<string>",
      "docUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Body

application/json
url
string
required
engagementType
enum<string>
Available options:
tooltips,
producttours

Response

200 - application/json

Ok

ok
boolean
required
reachable
boolean
required
finalUrl
string
required
blockers
object[]
required
warnings
object[]
required